import ContainerInterface from './ContainerInterface';
import FactoryInterface from './FactoryInterface';
declare class Container implements ContainerInterface {
    private storedFactories;
    private storedPrototypeFactories;
    private storedServices;
    constructor(factories?: Map<string, FactoryInterface>);
    factories(factories: Map<string, FactoryInterface>): ContainerInterface;
    factory(id: string, factory: FactoryInterface): ContainerInterface;
    prototypeFactories(factories: Map<string, FactoryInterface>): ContainerInterface;
    prototypeFactory(id: string, factory: FactoryInterface): ContainerInterface;
    get(id: string): any;
    has(id: string): boolean;
    private create;
    private createFromPrototypeFactory;
}
export default Container;
