"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ContainerException {
    constructor(message, stack) {
        this.name = 'ContainerException';
        this.message = message;
        this.stack = stack;
    }
    static create(id, previous) {
        return new ContainerException(`Could not create service with id "${id}"`, previous.stack);
    }
}
exports.default = ContainerException;
