"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExistsException {
    constructor(message, stack) {
        this.name = 'ExistsException';
        this.message = message;
        this.stack = stack;
    }
    static create(id, type) {
        return new ExistsException(`Factory with id "${id}" already exists as "${type}"`);
    }
}
ExistsException.TYPE_FACTORY = 'factory';
ExistsException.TYPE_PROTOTYPE_FACTORY = 'prototype factory';
exports.default = ExistsException;
