"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class NotFoundException {
    constructor(message, stack) {
        this.name = 'NotFoundException';
        this.message = message;
        this.stack = stack;
    }
    static create(id) {
        return new NotFoundException(`There is no service with id "${id}"`);
    }
}
exports.default = NotFoundException;
