import ContainerInterface from './ContainerInterface';
import FactoryInterface from './FactoryInterface';
declare class MinimalContainer implements ContainerInterface {
    private storedFactories;
    private storedServices;
    constructor(factories?: Map<string, FactoryInterface>);
    factories(factories: Map<string, FactoryInterface>): ContainerInterface;
    factory(id: string, factory: FactoryInterface): ContainerInterface;
    get(id: string): any;
    has(id: string): boolean;
    private create;
}
export default MinimalContainer;
